# Jamf Pro Documentation > The Classic API is the primary resource for programmatically interacting with Jamf Pro. The base URL for the Classic API is located at /JSSResource on each Jamf Pro instance. Documentation and “Try it out” features are built into each instance of Jamf Pro, and can be accessed at /api. Fetch the complete documentation index at: https://developer.jamf.com/jamf-pro/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version. ## API Reference: Jamf Pro API - [Get account groups](https://developer.jamf.com/jamf-pro/reference/get_v1-account-groups.md): Get all account groups with pagination, sorting, and filtering support. > 📋 **Required privilege:** Read Account Groups - [Gets the account group. ](https://developer.jamf.com/jamf-pro/reference/get_v1-account-groups-id.md): Gets the account group for the given id. > 📋 **Required privilege:** Read Account Groups - [Adds new account. ](https://developer.jamf.com/jamf-pro/reference/post_v1-accounts.md): Adds the user account provided. > 📋 **Required privilege:** Create Accounts - [Get user accounts](https://developer.jamf.com/jamf-pro/reference/get_v1-accounts.md): Get all user accounts with pagination, sorting, and filtering support. > 📋 **Required privilege:** Read Accounts - [Gets the user account. ](https://developer.jamf.com/jamf-pro/reference/get_v1-accounts-id.md): Gets the user account for the given id. > 📋 **Required privilege:** Read Accounts - [Deletes the user account. ](https://developer.jamf.com/jamf-pro/reference/delete_v1-accounts-id.md): Deletes the user account for the given id. > 📋 **Required privilege:** Delete Accounts - [Updates the user account. ](https://developer.jamf.com/jamf-pro/reference/put_v1-accounts-id.md): Updates the user account for the given id. > 📋 **Required privilege:** Update Accounts - [Updates Activation Code](https://developer.jamf.com/jamf-pro/reference/put_v1-activation-code.md): Updates Activation Code in Jamf Pro. > 📋 **Required privilege:** Update License Information - [Updates Organization Name](https://developer.jamf.com/jamf-pro/reference/patch_v1-activation-code-organization-name.md): Updates Organization Name in Jamf Pro. > 📋 **Required privilege:** Update License Information - [Get Activation Code history object](https://developer.jamf.com/jamf-pro/reference/get_v1-activation-code-history.md): Get Activation Code history object > 📋 **Required privilege:** Read License Information - [Add Activation Code object note ](https://developer.jamf.com/jamf-pro/reference/post_v1-activation-code-history.md): Adds Activation Code object note. > 📋 **Required privilege:** Update License Information - [Export history object collection in specified format for Activation Code ](https://developer.jamf.com/jamf-pro/reference/post_v1-activation-code-history-export.md): Export history object collection in specified format for Activation Code > 📋 **Required privilege:** Read License Information - [Create AD CS Settings configuration for either inbound or outbound mode ](https://developer.jamf.com/jamf-pro/reference/post_v1-pki-adcs-settings.md): Create AD CS Settings configuration and initialize renewal monitor. Once set, the configuration cannot change between inbound and outbound modes. > 📋 **Required privilege:** Create AD CS Settings - [Validate AD CS Settings server certificate ](https://developer.jamf.com/jamf-pro/reference/post_v1-pki-adcs-settings-validate-certificate.md): Validate AD CS Settings server certificate for file format. Must be base64-encoded X.509 file content, obtainable by `openssl base64 < /file/path/filename.pfx | tr -d '\n' | pbcopy` in linux terminal, or similar parsing methods. > 📋 **Required privileges:** > - Update AD CS Settings > - Create AD CS Settings - [Validate AD CS Settings client certificate ](https://developer.jamf.com/jamf-pro/reference/post_v1-pki-adcs-settings-validate-client-certificate.md): Validate AD CS Settings client certificate for file format and correct password. Must be base64-encoded PKCS#12 file content, obtainable by `openssl base64 < /file/path/filename.pfx | tr -d '\n' | pbcopy` in linux terminal, or similar parsing methods. This should only contain a single X.509 certificate. > 📋 **Required privileges:** > - Update AD CS Settings > - Create AD CS Settings - [Get AD CS Settings configuration for the ID value ](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-adcs-settings-id.md): Get AD CS Settings configuration for the ID value including public key information, but not including any password information. > 📋 **Required privilege:** Read AD CS Settings - [Delete AD CS Settings configuration by ID ](https://developer.jamf.com/jamf-pro/reference/delete_v1-pki-adcs-settings-id.md): Delete AD CS Settings configuration, only if reassignment of Certificate Authority succeeds and no config profiles are using the configuration. > 📋 **Required privilege:** Delete AD CS Settings - [Update AD CS Settings configuration ](https://developer.jamf.com/jamf-pro/reference/patch_v1-pki-adcs-settings-id.md): Update AD CS Settings configuration, where certificate information must be provided in full, or not at all. Cannot change between inbound and outbound modes. > 📋 **Required privilege:** Update AD CS Settings - [Retrieve list of AD CS Settings dependencies](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-adcs-settings-id-dependencies.md): Retrieve list of AD CS Settings dependencies > 📋 **Required privilege:** Read AD CS Settings - [Get specified AD CS Settings history object ](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-adcs-settings-id-history.md): Get specified AD CS Settings history object. > 📋 **Required privilege:** Read AD CS Settings - [Add specified AD CS Settings object note ](https://developer.jamf.com/jamf-pro/reference/post_v1-pki-adcs-settings-id-history.md): Adds specified AD CS Settings object note. > 📋 **Required privilege:** Update AD CS Settings - [advanced-mobile-device-searches](https://developer.jamf.com/jamf-pro/reference/advanced-mobile-device-searches-1.md) - [Get Advanced Search objects ](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-mobile-device-searches.md): Gets Advanced Search Objects > 📋 **Required privilege:** Read Advanced Mobile Device Searches - [Create Advanced Search object ](https://developer.jamf.com/jamf-pro/reference/post_v1-advanced-mobile-device-searches.md): Creates Advanced Search Object > 📋 **Required privilege:** Create Advanced Mobile Device Searches - [Get Mobile Device Advanced Search criteria choices ](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-mobile-device-searches-choices.md): Gets Mobile Device Advanced Search criteria choices. A list of potentially valid choices can be found by navigating to the Criteria page of the Advanced Mobile Device Search creation process. A few are "App Name", "Building", and "Display Name". > 📋 **Required privilege:** Read Advanced Mobile Device Searches - [Remove specified Advanced Search objects ](https://developer.jamf.com/jamf-pro/reference/post_v1-advanced-mobile-device-searches-delete-multiple.md): Removes specified Advanced Search Objects > 📋 **Required privilege:** Delete Advanced Mobile Device Searches - [Get specified Advanced Search object ](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-mobile-device-searches-id.md): Gets Specified Advanced Search Object > 📋 **Required privilege:** Read Advanced Mobile Device Searches - [Get specified Advanced Search object ](https://developer.jamf.com/jamf-pro/reference/put_v1-advanced-mobile-device-searches-id.md): Gets Specified Advanced Search Object > 📋 **Required privilege:** Update Advanced Mobile Device Searches - [Remove specified Advanced Search object ](https://developer.jamf.com/jamf-pro/reference/delete_v1-advanced-mobile-device-searches-id.md): Removes specified Advanced Search Object > 📋 **Required privilege:** Delete Advanced Mobile Device Searches - [Get All Advanced User Content Search objects ](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-user-content-searches.md): Get All Advanced User Content Search Objects > 📋 **Required privilege:** Read Advanced User Content Searches - [Create Advanced User Content Search object ](https://developer.jamf.com/jamf-pro/reference/post_v1-advanced-user-content-searches.md): Creates Advanced User Content Search Object > 📋 **Required privilege:** Create Advanced User Content Searches - [Get Specified Advanced User Content Search object ](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-user-content-searches-id.md): Gets Specified Advanced User Content Search Object > 📋 **Required privilege:** Read Advanced User Content Searches - [Get Specified Advanced User Content Search object ](https://developer.jamf.com/jamf-pro/reference/put_v1-advanced-user-content-searches-id.md): Gets Specified Advanced User Content Search Object > 📋 **Required privilege:** Update Advanced User Content Searches - [Remove specified Advanced User Content Search object ](https://developer.jamf.com/jamf-pro/reference/delete_v1-advanced-user-content-searches-id.md): Removes specified Advanced User Content Search Object > 📋 **Required privilege:** Delete Advanced User Content Searches - [api-authentication](https://developer.jamf.com/jamf-pro/reference/api-authentication-1.md) - [Get all the Authorization details associated with the current api ](https://developer.jamf.com/jamf-pro/reference/get_auth.md): Get all the authorization details associated with the current api token - [Get the authorization details associated with the current API token ](https://developer.jamf.com/jamf-pro/reference/post_auth-current.md): Get the authorization details associated with the current API token for the users current site - [Invalidate current token ](https://developer.jamf.com/jamf-pro/reference/post_auth-invalidatetoken.md): Invalidates current token - [Invalidate existing token and generates new token ](https://developer.jamf.com/jamf-pro/reference/post_auth-keepalive.md): Invalidates existing token and generates new token with extended expiration based on existing token credentials. - [Get all the Authorization details associated with the current api ](https://developer.jamf.com/jamf-pro/reference/get_v1-auth.md): Get all the authorization details associated with the current api token - [Invalidate current token ](https://developer.jamf.com/jamf-pro/reference/post_v1-auth-invalidate-token.md): Invalidates current token - [Invalidate existing token and generates new token ](https://developer.jamf.com/jamf-pro/reference/post_v1-auth-keep-alive.md): Invalidates existing token and generates new token with extended expiration based on existing token credentials. - [Create a token based on other authentication details (basic, etc.)](https://developer.jamf.com/jamf-pro/reference/post_v1-auth-token.md): Create a token based on other authentication details (basic, etc.). - [Obtain an access token using an API Client](https://developer.jamf.com/jamf-pro/reference/postoauthtoken.md): Obtain an access token using the OAuth2 client credentials flow - [Get the current API Integrations](https://developer.jamf.com/jamf-pro/reference/get_v1-api-integrations.md): Get Jamf|Pro API Integrations with Search Criteria > 📋 **Required privilege:** Read API Integrations - [Create API integration object](https://developer.jamf.com/jamf-pro/reference/postcreateapiintegration.md): Create API integration object > 📋 **Required privilege:** Create API Integrations - [Get specified API integration object](https://developer.jamf.com/jamf-pro/reference/getoneapiintegration.md): Gets specified API integration object > 📋 **Required privilege:** Read API Integrations - [Update specified API integration object](https://developer.jamf.com/jamf-pro/reference/putupdateapiintegration.md): Update specified API integration object > 📋 **Required privilege:** Update API Integrations - [Remove specified API integration](https://developer.jamf.com/jamf-pro/reference/deleteapiintegration.md): Removes specified API integration > 📋 **Required privilege:** Delete API Integrations - [Create client credentials for specified API integration](https://developer.jamf.com/jamf-pro/reference/postcreateclientcredentials.md): Create client credentials for specified API integration > 📋 **Required privilege:** Create API Integrations - [Get the current Jamf API Role Privileges](https://developer.jamf.com/jamf-pro/reference/get_v1-api-role-privileges.md): Get role privileges > 📋 **Required privilege:** Read API Roles - [Search the current Jamf API Role Privileges](https://developer.jamf.com/jamf-pro/reference/get_v1-api-role-privileges-search.md): Search role privileges > 📋 **Required privilege:** Read API Roles - [Get the current Jamf API Roles](https://developer.jamf.com/jamf-pro/reference/getallapiroles.md): Get roles with Search Criteria > 📋 **Required privilege:** Read API Roles - [Create a new API role](https://developer.jamf.com/jamf-pro/reference/postcreateapirole.md): Post to create new Role > 📋 **Required privilege:** Create API Roles - [Get the specific Jamf API Role](https://developer.jamf.com/jamf-pro/reference/getoneapirole.md): Get specific Role > 📋 **Required privilege:** Read API Roles - [Update API Integrations Role](https://developer.jamf.com/jamf-pro/reference/putupdateapirole.md): Update specific Role > 📋 **Required privilege:** Update API Roles - [Delete API Integrations Role](https://developer.jamf.com/jamf-pro/reference/deleteapirole.md): Delete specific Role > 📋 **Required privilege:** Delete API Roles - [Search for clients with push notifications disabled ](https://developer.jamf.com/jamf-pro/reference/get_v1-apns-client-push-status.md): Retrieve a paginated, sortable, and filterable list of MDM clients that have push notifications disabled. The endpoint queries the mdm_client table and returns information about when push was disabled and links to the device records. > 📋 **Required privilege:** View MDM command information in Jamf Pro API - [Enable push notifications for all clients ](https://developer.jamf.com/jamf-pro/reference/post_v1-apns-client-push-status-enable-all-clients.md): Create a request to enable push notifications for all MDM clients that currently have push disabled. This is an asynchronous operation that processes all disabled clients in the background. > 📋 **Required privilege:** Send MDM command information in Jamf Pro API - [Get status of enable all clients request ](https://developer.jamf.com/jamf-pro/reference/get_v1-apns-client-push-status-enable-all-clients-status.md): Retrieve the status of the most recent request to enable push notifications for all clients. Returns 404 if no recent request exists. > 📋 **Required privilege:** View MDM command information in Jamf Pro API - [Enable push notifications for a single client ](https://developer.jamf.com/jamf-pro/reference/post_v1-apns-client-push-status-enable-client.md): Enable push notifications for a single MDM client that previously had push disabled. This sets the pushEnabled flag to true for the specified client. managementId field is required in the request body. > 📋 **Required privilege:** Send MDM command information in Jamf Pro API - [Search for Form Input Fields ](https://developer.jamf.com/jamf-pro/reference/get_v1-app-request-form-input-fields.md): Search for form input fields > 📋 **Required privilege:** Read App Request Settings - [Replace all Form Input Fields ](https://developer.jamf.com/jamf-pro/reference/put_v1-app-request-form-input-fields.md): Replace all form input fields. Will delete, update, and create all input fields accordingly. > 📋 **Required privilege:** Update App Request Settings - [Create Form Input Field record ](https://developer.jamf.com/jamf-pro/reference/post_v1-app-request-form-input-fields.md): Create form input field record > 📋 **Required privilege:** Update App Request Settings - [Get specified Form Input Field object ](https://developer.jamf.com/jamf-pro/reference/get_v1-app-request-form-input-fields-id.md): Gets specified form input field object > 📋 **Required privilege:** Read App Request Settings - [Update specified Form Input Field object ](https://developer.jamf.com/jamf-pro/reference/put_v1-app-request-form-input-fields-id.md): Update specified form input field object > 📋 **Required privilege:** Update App Request Settings - [Remove specified Form Input Field record ](https://developer.jamf.com/jamf-pro/reference/delete_v1-app-request-form-input-fields-id.md): Removes specified form input field record > 📋 **Required privilege:** Update App Request Settings - [Get Applicastion Request Settings ](https://developer.jamf.com/jamf-pro/reference/get_v1-app-request-settings.md): Get app request settings > 📋 **Required privilege:** Read App Request Settings - [Update Application Request Settings ](https://developer.jamf.com/jamf-pro/reference/put_v1-app-request-settings.md): Update app request settings > 📋 **Required privilege:** Update App Request Settings - [Return a list of Countries and the associated Codes ](https://developer.jamf.com/jamf-pro/reference/get_v1-app-store-country-codes.md): Returns a list of countries and the associated codes that can be use for the App Store locale - [Download a self service branding image ](https://developer.jamf.com/jamf-pro/reference/get_v1-branding-images-download-id.md): Download a self service branding image - [Search for sorted and paged Buildings ](https://developer.jamf.com/jamf-pro/reference/get_v1-buildings.md): Search for sorted and paged buildings > 📋 **Required privilege:** Read Buildings - [Create Building record ](https://developer.jamf.com/jamf-pro/reference/post_v1-buildings.md): Create building record > 📋 **Required privilege:** Create Buildings - [Delete multiple Buildings by their ids ](https://developer.jamf.com/jamf-pro/reference/post_v1-buildings-delete-multiple.md): multiple many Buildings by their ids > 📋 **Required privilege:** Delete Buildings - [Export Buildings collection ](https://developer.jamf.com/jamf-pro/reference/post_v1-buildings-export.md): Export Buildings collection > 📋 **Required privilege:** Read Buildings - [Get specified Building object ](https://developer.jamf.com/jamf-pro/reference/get_v1-buildings-id.md): Gets specified Building object > 📋 **Required privilege:** Read Buildings - [Update specified Building object ](https://developer.jamf.com/jamf-pro/reference/put_v1-buildings-id.md): Update specified building object > 📋 **Required privilege:** Update Buildings - [Remove specified Building record ](https://developer.jamf.com/jamf-pro/reference/delete_v1-buildings-id.md): Removes specified building record > 📋 **Required privilege:** Delete Buildings - [Get specified Building History object ](https://developer.jamf.com/jamf-pro/reference/get_v1-buildings-id-history.md): Gets specified Building history object > 📋 **Required privilege:** Read Buildings - [Add specified Building history object notes ](https://developer.jamf.com/jamf-pro/reference/post_v1-buildings-id-history.md): Adds specified Building history object notes > 📋 **Required privilege:** Update Buildings - [Export history object collection in specified format for specified Buildings ](https://developer.jamf.com/jamf-pro/reference/post_v1-buildings-id-history-export.md): Export history object collection in specified format for specified Buildings > 📋 **Required privilege:** Read Buildings - [Get Cache Settings ](https://developer.jamf.com/jamf-pro/reference/get_v1-cache-settings.md): gets cache settings > 📋 **Required privilege:** Read Cache - [Update Cache Settings ](https://developer.jamf.com/jamf-pro/reference/put_v1-cache-settings.md): updates cache settings > 📋 **Required privilege:** Update Cache - [Get Category objects ](https://developer.jamf.com/jamf-pro/reference/get_v1-categories.md): Gets `Category` objects. > 📋 **Required privileges:** > - Read Categories > - Read Self Service - [Create Category record ](https://developer.jamf.com/jamf-pro/reference/post_v1-categories.md): Create category record > 📋 **Required privilege:** Create Categories - [Delete multiple Categories by their IDs ](https://developer.jamf.com/jamf-pro/reference/post_v1-categories-delete-multiple.md): Delete multiple Categories by their IDs > 📋 **Required privilege:** Delete Categories - [Get specified Category object ](https://developer.jamf.com/jamf-pro/reference/get_v1-categories-id.md): Gets specified Category object > 📋 **Required privilege:** Read Categories - [Update specified Category object ](https://developer.jamf.com/jamf-pro/reference/put_v1-categories-id.md): Update specified category object > 📋 **Required privilege:** Update Categories - [Remove specified Category record ](https://developer.jamf.com/jamf-pro/reference/delete_v1-categories-id.md): Removes specified category record > 📋 **Required privilege:** Delete Categories - [Get specified Category history object ](https://developer.jamf.com/jamf-pro/reference/get_v1-categories-id-history.md): Gets specified Category history object > 📋 **Required privilege:** Read Categories - [Add specified Category history object notes ](https://developer.jamf.com/jamf-pro/reference/post_v1-categories-id-history.md): Adds specified Category history object notes > 📋 **Required privilege:** Update Categories - [Returns X.509 details of the active Certificate Authority (CA)](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-certificate-authority-active.md): Returns X.509 details of the active Certificate Authority (CA) - [Returns X.509 of active Certificate Authority (CA) in DER format](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-certificate-authority-active-der.md): Returns X.509 of active Certificate Authority (CA) in DER format - [Returns active Certificate Authority (CA) in PEM format](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-certificate-authority-active-pem.md): Returns active Certificate Authority (CA) in PEM format - [Returns X.509 details of Certificate Authority (CA) with provided ID](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-certificate-authority-id.md): Returns X.509 details of Certificate Authority (CA) with provided ID > 📋 **Required privilege:** Read PKI - [Returns X.509 current Certificate Authority (CA) with provided ID in DER format](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-certificate-authority-id-der.md): Returns X.509 current Certificate Authority (CA) with provided ID in DER format > 📋 **Required privilege:** Read PKI - [Returns current Certificate Authority (CA) with provided ID in PEM format](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-certificate-authority-id-pem.md): Returns current Certificate Authority (CA) with provided ID in PEM format > 📋 **Required privilege:** Read PKI - [Get mappings for OnPrem Ldap configuration with given id.](https://developer.jamf.com/jamf-pro/reference/get_v1-classic-ldap-id.md): Get mappings for OnPrem Ldap configuration with given id. > 📋 **Required privilege:** Read LDAP Servers - [Get Client Check-In settings ](https://developer.jamf.com/jamf-pro/reference/get_v3-check-in.md): Gets `Client Check-In` object. > 📋 **Required privilege:** Read Computer Check-In - [Update Client Check-In object ](https://developer.jamf.com/jamf-pro/reference/put_v3-check-in.md): Update Client Check-In object > 📋 **Required privilege:** Update Computer Check-In - [Get Client Check-In history object ](https://developer.jamf.com/jamf-pro/reference/get_v3-check-in-history.md): Gets Client Check-In history object > 📋 **Required privilege:** Read Computer Check-In - [Add a Note to Client Check-In History ](https://developer.jamf.com/jamf-pro/reference/post_v3-check-in-history.md): Adds Client Check-In history object notes > 📋 **Required privilege:** Update Computer Check-In - [Create Azure Cloud Identity Provider configuration](https://developer.jamf.com/jamf-pro/reference/post_v1-cloud-azure.md): Create new Azure Cloud Identity Provider configuration with unique display name. > 📋 **Required privilege:** Create LDAP Servers - [Get default mappings](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-azure-defaults-mappings.md): This is the default set of attributes that allows you to return the data you need from Azure AD. Some fields may be empty and may be edited when creating a new configuration. > 📋 **Required privilege:** Read LDAP Servers - [Get default server configuration](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-azure-defaults-server-configuration.md): This is the default set of attributes that allows you to return the data you need from Azure AD. Some fields may be empty and may be edited when creating a new configuration. > 📋 **Required privilege:** Read LDAP Servers - [Get Azure Cloud Identity Provider configuration with given ID.](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-azure-id.md): Get Azure Cloud Identity Provider configuration with given ID. > 📋 **Required privilege:** Read LDAP Servers - [Update Azure Cloud Identity Provider configuration](https://developer.jamf.com/jamf-pro/reference/put_v1-cloud-azure-id.md): Update Azure Cloud Identity Provider configuration. Cannot be used for partial updates, all content body must be sent. > 📋 **Required privilege:** Update LDAP Servers - [Delete Cloud Identity Provider configuration.](https://developer.jamf.com/jamf-pro/reference/delete_v1-cloud-azure-id.md): Delete Cloud Identity Provider configuration. > 📋 **Required privilege:** Delete LDAP Servers - [Get the cloud distribution point Details. ](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-distribution-point.md): Retrieves the details of the cloud distribution point. The distribution point exists only when a content delivery network (CDN) is configured, such as Jamf Cloud(JAMF_CLOUD), Rackspace Cloud Files(RACKSPACE_CLOUD_FILES), Amazon Web Services(AMAZON_S3) or Akamai(AKAMAI). If the **cdnType** is **NONE** the response will be NONE empty CDP object, indicating no distribution point is set up. > 📋 **Required privilege:** Read Cloud Distribution Point - [Create cloud distribution point](https://developer.jamf.com/jamf-pro/reference/post_v1-cloud-distribution-point.md): Creates cloud distribution point. This operation is triggered when the content delivery network (CDN) settings change, specifically when the network type is updated from "None" to any other supported type. Upon successful creation,the API returns the updated details of the cloud distribution point. > 📋 **Required privilege:** Update Cloud Distribution Point - [Delete cloud distribution point.](https://developer.jamf.com/jamf-pro/reference/delete_v1-cloud-distribution-point.md): The cloud distribution point and inventory details to be deleted. > 📋 **Required privilege:** Update Cloud Distribution Point - [Update specific fields on a cloud distribution point](https://developer.jamf.com/jamf-pro/reference/patch_v1-cloud-distribution-point.md): Update specific fields on a cloud distribution point, then return the updated cloud distribution point details object. > 📋 **Required privilege:** Update Cloud Distribution Point - [Get cloud distribution point history details](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-distribution-point-history.md): Get cloud distribution point history details > 📋 **Required privilege:** Read Cloud Distribution Point - [Get the cloud distribution point Inventory files details](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-distribution-point-files.md): Retrieves the details of the inventory files associated with a cloud distribution point.This includes information about the files used for content distribution, such as their type, status, and categorization.The response provides a comprehensive list of inventory files, which may include packages, ebooks, or mobile device apps, allowing users to view the current state and metadata for each file in the distribution system. > 📋 **Required privilege:** Read Cloud Distribution Point - [Add specified cloud distribution point history object notes](https://developer.jamf.com/jamf-pro/reference/post_v1-cloud-distribution-point-history.md): Add specified cloud distribution point history object notes > 📋 **Required privilege:** Update Cloud Distribution Point - [Get the cloud distribution point test connection details. ](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-distribution-point-test-connection.md): Verifies the connection to the cloud distribution point after updating its configuration. This endpoint returns the connection status and a message indicating whether the connection is successful or failed. > 📋 **Required privilege:** Read Cloud Distribution Point - [Finds specific information for the currently configured cloud distribution point. ](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-distribution-point-upload-capability.md): Finds a variety of values based on the currently configured cloud distribution point. - [Marks a specific file upload as failed for the currently configured cloud distribution point. ](https://developer.jamf.com/jamf-pro/reference/post_v1-cloud-distribution-point-fail-upload-id.md): Marks a specific file upload as failed for the currently configured cloud distribution point. > 📋 **Required privilege:** Update Cloud Distribution Point - [Updates inventory data for the currently configured cloud distribution point. ](https://developer.jamf.com/jamf-pro/reference/post_v1-cloud-distribution-point-refresh-inventory.md): Updates inventory data for the currently configured cloud distribution point. > 📋 **Required privilege:** Read Cloud Distribution Point - [Get information about all Cloud Identity Providers configurations.](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-idp.md): Returns basic informations about all configured Cloud Identity Provider. > 📋 **Required privilege:** Read LDAP Servers - [Export Cloud Identity Providers collection ](https://developer.jamf.com/jamf-pro/reference/post_v1-cloud-idp-export.md): Export Cloud Identity Providers collection > 📋 **Required privilege:** Read LDAP Servers - [Get Cloud Identity Provider configuration with given ID.](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-idp-id.md): Get Cloud Identity Provider configuration with given ID. > 📋 **Required privilege:** Read LDAP Servers - [Get Cloud Identity Provider history](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-idp-id-history.md): Gets specified Cloud Identity Provider object history > 📋 **Required privilege:** Read LDAP Servers - [Add Cloud Identity Provider history note](https://developer.jamf.com/jamf-pro/reference/post_v1-cloud-idp-id-history.md): Adds specified Cloud Identity Provider object history notes > 📋 **Required privilege:** Update LDAP Servers - [Get group test search](https://developer.jamf.com/jamf-pro/reference/post_v1-cloud-idp-id-test-group.md): Do test search to ensure about configuration and mappings > 📋 **Required privilege:** Read LDAP Servers - [Get user test search](https://developer.jamf.com/jamf-pro/reference/post_v1-cloud-idp-id-test-user.md): Do test search to ensure about configuration and mappings > 📋 **Required privilege:** Read LDAP Servers - [Get membership test search](https://developer.jamf.com/jamf-pro/reference/post_v1-cloud-idp-id-test-user-membership.md): Do test search to ensure about configuration and mappings > 📋 **Required privilege:** Read LDAP Servers - [Retrieve information related to cloud setup. ](https://developer.jamf.com/jamf-pro/reference/get_v1-cloud-information.md): Retrieve information related to cloud setup. Retrieves information related to cloud setup. Provides details about cloud instance configuration. - [Validate keystore for Cloud Identity Provider secure connection](https://developer.jamf.com/jamf-pro/reference/post_v1-ldap-keystore-verify.md): Validate keystore for Cloud Identity Provider secure connection > 📋 **Required privilege:** Create LDAP Servers - [Create Cloud Identity Provider configuration](https://developer.jamf.com/jamf-pro/reference/post_v2-cloud-ldaps.md): Create new Cloud Identity Provider configuration with unique display name. If mappings not provided, then defaults will be generated instead. > 📋 **Required privilege:** Create LDAP Servers - [Get default mappings](https://developer.jamf.com/jamf-pro/reference/get_v2-cloud-ldaps-defaults-provider-mappings.md): Get default mappings for Cloud Identity Provider Provider. > 📋 **Required privilege:** Read LDAP Servers - [Get default server configuration](https://developer.jamf.com/jamf-pro/reference/get_v2-cloud-ldaps-defaults-provider-server-configuration.md): Get default server configuration for Cloud Identity Provider Identity Provider. > 📋 **Required privilege:** Read LDAP Servers - [Get Cloud Identity Provider configuration with given id.](https://developer.jamf.com/jamf-pro/reference/get_v2-cloud-ldaps-id.md): Get Cloud Identity Provider configuration with given id. > 📋 **Required privilege:** Read LDAP Servers - [Update Cloud Identity Provider configuration](https://developer.jamf.com/jamf-pro/reference/put_v2-cloud-ldaps-id.md): Update Cloud Identity Provider configuration. Cannot be used for partial updates, all content body must be sent. > 📋 **Required privilege:** Update LDAP Servers - [Delete Cloud Identity Provider configuration.](https://developer.jamf.com/jamf-pro/reference/delete_v2-cloud-ldaps-id.md): Delete Cloud Identity Provider configuration. > 📋 **Required privilege:** Delete LDAP Servers - [Get bind connection pool statistics](https://developer.jamf.com/jamf-pro/reference/get_v2-cloud-ldaps-id-connection-bind.md): Get all search connection pool for chosen Cloud Identity Provider. numConnectionsClosedDefunct - The number of connections that have been closed as defunct. numConnectionsClosedExpired - The number of connections that have been closed because they were expired. numConnectionsClosedUnneeded - The number of connections that have been closed because they were no longer needed. numFailedCheckouts - The number of failed attempts to check out a connection from the pool. numFailedConnectionAttempts - The number of failed attempts to create a connection for use in the pool. numReleasedValid - The number of valid connections released back to the pool. numSuccessfulCheckouts - The number of successful attempts to check out a connection from the pool. numSuccessfulCheckoutsNewConnection - The number of successful checkout attempts that had to create a new connection because none were available. numSuccessfulConnectionAttempts - The number successful attempts to create a connection for use in the pool. maximumAvailableConnections - The maximum number of connections that may be available in the pool at any time. numSuccessfulCheckoutsWithoutWait - The number of successful checkout attempts that were able to take an existing connection without waiting. numSuccessfulCheckoutsAfterWait - The number of successful checkout attempts that retrieved a connection from the pool after waiting for it to become available. numAvailableConnections - The number of connections currently available for use in the pool. > 📋 **Required privilege:** Read LDAP Servers - [Get search connection pool statistics](https://developer.jamf.com/jamf-pro/reference/get_v2-cloud-ldaps-id-connection-search.md): Get all search connection pool for chosen Cloud Identity Provider. numConnectionsClosedDefunct - The number of connections that have been closed as defunct. numConnectionsClosedExpired - The number of connections that have been closed because they were expired. numConnectionsClosedUnneeded - The number of connections that have been closed because they were no longer needed. numFailedCheckouts - The number of failed attempts to check out a connection from the pool. numFailedConnectionAttempts - The number of failed attempts to create a connection for use in the pool. numReleasedValid - The number of valid connections released back to the pool. numSuccessfulCheckouts - The number of successful attempts to check out a connection from the pool. numSuccessfulCheckoutsNewConnection - The number of successful checkout attempts that had to create a new connection because none were available. numSuccessfulConnectionAttempts - The number successful attempts to create a connection for use in the pool. maximumAvailableConnections - The maximum number of connections that may be available in the pool at any time. numSuccessfulCheckoutsWithoutWait - The number of successful checkout attempts that were able to take an existing connection without waiting. numSuccessfulCheckoutsAfterWait - The number of successful checkout attempts that retrieved a connection from the pool after waiting for it to become available. numAvailableConnections - The number of connections currently available for use in the pool. > 📋 **Required privilege:** Read LDAP Servers - [Tests the communication with the specified cloud connection ](https://developer.jamf.com/jamf-pro/reference/get_v2-cloud-ldaps-id-connection-status.md): Tests the communication with the specified cloud connection > 📋 **Required privilege:** Read LDAP Servers - [Get mappings configurations for Cloud Identity Providers server configuration.](https://developer.jamf.com/jamf-pro/reference/get_v2-cloud-ldaps-id-mappings.md): Get all mappings configurations for Cloud Identity Providers server configuration. > 📋 **Required privilege:** Read LDAP Servers - [Update Cloud Identity Provider mappings configuration.](https://developer.jamf.com/jamf-pro/reference/put_v2-cloud-ldaps-id-mappings.md): Update Cloud Identity Provider mappings configuration. Cannot be used for partial updates, all content body must be sent. > 📋 **Required privilege:** Update LDAP Servers - [Retrieve Computer Extension Attributes.](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-extension-attributes.md): Retrieves All Computer Extension Attributes Configuration. > 📋 **Required privilege:** Read Computer Extension Attributes - [Create Computer Extension Attribute.](https://developer.jamf.com/jamf-pro/reference/post_v1-computer-extension-attributes.md): Create Computer Extension Attribute to collect extra inventory information. > 📋 **Required privilege:** Create Computer Extension Attributes - [Delete multiple Computer Extension Attribute at once.](https://developer.jamf.com/jamf-pro/reference/post_v1-computer-extension-attributes-delete-multiple.md): IDs of the Computer Extension Attribute to be deleted. > 📋 **Required privilege:** Delete Computer Extension Attributes - [Retrieve All Computer Extension Attributes Templates.](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-extension-attributes-templates.md): Retrieves All Computer Extension Attributes Templates. > 📋 **Required privilege:** Read Computer Extension Attributes - [Get specified Computer Extension Attribute Template object.](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-extension-attributes-templates-id.md): Gets specified Computer Extension Attribute Template object. > 📋 **Required privilege:** Read Computer Extension Attributes - [Upload Computer Extension Attribute.](https://developer.jamf.com/jamf-pro/reference/post_v1-computer-extension-attributes-upload.md): Uploads a Computer Extension Attribute. > 📋 **Required privileges:** > - Create Computer Extension Attributes > - Read Computer Extension Attributes - [Get specified Computer Extension Attribute object.](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-extension-attributes-id.md): Gets specified Computer Extension Attribute object. > 📋 **Required privilege:** Read Computer Extension Attributes - [Update specified Computer Extension Attribute object.](https://developer.jamf.com/jamf-pro/reference/put_v1-computer-extension-attributes-id.md): Update specified Computer Extension Attribute object. > 📋 **Required privilege:** Update Computer Extension Attributes - [Remove specified Computer Extension Attribute.](https://developer.jamf.com/jamf-pro/reference/delete_v1-computer-extension-attributes-id.md): ID of the Computer Extension Attribute to be deleted. > 📋 **Required privilege:** Delete Computer Extension Attributes - [Get smart group/advance search dependent objects for a specified computer extension attribute](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-extension-attributes-id-data-dependency.md): Get smart group/advance search dependent objects for a specified computer extension attribute > 📋 **Required privilege:** Read Computer Extension Attributes - [Download the specified Computer Extension Attribute.](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-extension-attributes-id-download.md): Retrieves the specified Computer Extension Attribute in XML format based on the provided unique ID. > 📋 **Required privilege:** Read Computer Extension Attributes - [Get specified Computer Extension Attribute History object](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-extension-attributes-id-history.md): Get specified Computer Extension Attribute history object > 📋 **Required privilege:** Read Computer Extension Attributes - [Add specified Computer Extension Attribute history object notes](https://developer.jamf.com/jamf-pro/reference/post_v1-computer-extension-attributes-id-history.md): Add specified Computer Extension Attribute history object notes > 📋 **Required privilege:** Update Computer Extension Attributes - [Returns the list of all computer groups ](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-groups.md): Use it to get the list of all computer groups. > 📋 **Required privileges:** > - Read Smart Computer Groups > - Read Static Computer Groups - [Get the membership of a Smart Computer Group ](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-groups-smart-group-membership-id.md): Gets the membership of a Smart Computer Group > 📋 **Required privilege:** Read Smart Computer Groups - [Search for Smart Computer Groups ](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-groups-smart-groups.md): Search for Smart Computer Groups > 📋 **Required privilege:** Read Smart Computer Groups - [Create a Smart Computer Group ](https://developer.jamf.com/jamf-pro/reference/post_v2-computer-groups-smart-groups.md): Creates a Smart Computer Group > 📋 **Required privilege:** Create Smart Computer Groups - [Update a Smart Computer Group ](https://developer.jamf.com/jamf-pro/reference/put_v2-computer-groups-smart-groups-id.md): Updates a Smart Computer Group > 📋 **Required privilege:** Update Smart Computer Groups - [Remove specified Smart Computer Group ](https://developer.jamf.com/jamf-pro/reference/delete_v2-computer-groups-smart-groups-id.md): Remove specified Smart Computer Group > 📋 **Required privilege:** Delete Smart Computer Groups - [Get Smart Computer Group by Id ](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-groups-smart-groups-id.md): Get Smart Computer Group by Id > 📋 **Required privilege:** Read Smart Computer Groups - [Search for Static Computer Groups ](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-groups-static-groups.md): Search for Static Computer Groups > 📋 **Required privilege:** Read Static Computer Groups - [Create membership of a static computer group. ](https://developer.jamf.com/jamf-pro/reference/post_v2-computer-groups-static-groups.md): Create membership of a static computer group. > 📋 **Required privilege:** Create Static Computer Groups - [Get Static Computer Group by Id ](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-groups-static-groups-id.md): Get Static Computer Group by Id > 📋 **Required privilege:** Read Static Computer Groups - [Update membership of a static computer group. ](https://developer.jamf.com/jamf-pro/reference/put_v2-computer-groups-static-groups-id.md): Update membership of a static computer group. > 📋 **Required privilege:** Update Static Computer Groups - [Remove Static Computer Group by Id ](https://developer.jamf.com/jamf-pro/reference/delete_v2-computer-groups-static-groups-id.md): Remove Static Computer Group by Id > 📋 **Required privilege:** Delete Static Computer Groups - [Get the membership of a Smart Computer Group ](https://developer.jamf.com/jamf-pro/reference/get_v3-computer-groups-smart-group-membership-id.md): Gets the membership of a Smart Computer Group > 📋 **Required privilege:** Read Smart Computer Groups - [Search for Smart Computer Groups ](https://developer.jamf.com/jamf-pro/reference/get_v3-computer-groups-smart-groups.md): Search for Smart Computer Groups > 📋 **Required privilege:** Read Smart Computer Groups - [Create a Smart Computer Group ](https://developer.jamf.com/jamf-pro/reference/post_v3-computer-groups-smart-groups.md): Creates a Smart Computer Group with strict andOr enum validation. > 📋 **Required privilege:** Create Smart Computer Groups - [Get Smart Computer Group by Id ](https://developer.jamf.com/jamf-pro/reference/get_v3-computer-groups-smart-groups-id.md): Get Smart Computer Group by Id > 📋 **Required privilege:** Read Smart Computer Groups - [Update a Smart Computer Group ](https://developer.jamf.com/jamf-pro/reference/put_v3-computer-groups-smart-groups-id.md): Updates a Smart Computer Group with strict andOr enum validation. > 📋 **Required privilege:** Update Smart Computer Groups - [Remove specified Smart Computer Group ](https://developer.jamf.com/jamf-pro/reference/delete_v3-computer-groups-smart-groups-id.md): Remove specified Smart Computer Group. Returns 422 if the group has dependencies. > 📋 **Required privilege:** Delete Smart Computer Groups - [Search for Static Computer Groups ](https://developer.jamf.com/jamf-pro/reference/get_v3-computer-groups-static-groups.md): Search for Static Computer Groups > 📋 **Required privilege:** Read Static Computer Groups - [Create membership of a static computer group. ](https://developer.jamf.com/jamf-pro/reference/post_v3-computer-groups-static-groups.md): Create membership of a static computer group. > 📋 **Required privilege:** Create Static Computer Groups - [Get Static Computer Group by Id ](https://developer.jamf.com/jamf-pro/reference/get_v3-computer-groups-static-groups-id.md): Get Static Computer Group by Id > 📋 **Required privilege:** Read Static Computer Groups - [Update membership of a static computer group. ](https://developer.jamf.com/jamf-pro/reference/put_v3-computer-groups-static-groups-id.md): Update membership of a static computer group. > 📋 **Required privilege:** Update Static Computer Groups - [Remove Static Computer Group by Id ](https://developer.jamf.com/jamf-pro/reference/delete_v3-computer-groups-static-groups-id.md): Remove Static Computer Group by Id. Returns 422 if the group has dependencies. > 📋 **Required privilege:** Delete Static Computer Groups - [Return paginated Computer Inventory records](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory.md): Return paginated Computer Inventory records > 📋 **Required privilege:** Read Computers - [Create Computer Inventory record](https://developer.jamf.com/jamf-pro/reference/post_v3-computers-inventory.md): Creates Computer Inventory record > 📋 **Required privilege:** Create Computers - [Return all sections of a computer](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-detail-id.md): Return all sections of a computer > 📋 **Required privilege:** Read Computers - [Update specific fields on a computer](https://developer.jamf.com/jamf-pro/reference/patch_v3-computers-inventory-detail-id.md): Update specific fields on a computer, then return the updated computer object. > 📋 **Required privilege:** Update Computers - [Return paginated FileVault information for all computers](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-filevault.md): Return paginated FileVault information for all computers > 📋 **Required privilege:** View Disk Encryption Recovery Key - [Return General section of a Computer](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-id.md): Return General section of a Computer > 📋 **Required privilege:** Read Computers - [Remove specified Computer record](https://developer.jamf.com/jamf-pro/reference/delete_v3-computers-inventory-id.md): Remove specified Computer record > 📋 **Required privilege:** Delete Computers - [Upload attachment and assign to computer](https://developer.jamf.com/jamf-pro/reference/post_v3-computers-inventory-id-attachments.md): Upload attachment and assign to computer > 📋 **Required privilege:** Update Computers - [Download attachment file](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-id-attachments-attachmentid.md): Download attachment file > 📋 **Required privilege:** Read Computers - [Remove attachment](https://developer.jamf.com/jamf-pro/reference/delete_v3-computers-inventory-id-attachments-attachmentid.md): Remove attachment > 📋 **Required privilege:** Update Computers - [Return FileVault information for a specific computer](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-id-filevault.md): Return FileVault information for a specific computer > 📋 **Required privilege:** View Disk Encryption Recovery Key - [Return a computer's Device Lock PIN](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-id-view-device-lock-pin.md): Return a computer's Device Lock PIN > 📋 **Required privilege:** View Computer Device Lock Pin - [Return a Computers Recovery Lock Password](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-id-view-recovery-lock-password.md): Return a Computers Recovery Lock Password > 📋 **Required privilege:** View Recovery Lock - [Erase a computer ](https://developer.jamf.com/jamf-pro/reference/post_v1-computer-inventory-id-erase.md): Erase a computer > 📋 **Required privilege:** Send Computer Remote Wipe Command - [Remove a computer's MDM profile ](https://developer.jamf.com/jamf-pro/reference/post_v1-computer-inventory-id-remove-mdm-profile.md): Remove a computer's MDM profile > 📋 **Required privilege:** Send Computer Unmanage Command - [Return paginated Computer Inventory records](https://developer.jamf.com/jamf-pro/reference/get_v1-computers-inventory.md): Return paginated Computer Inventory records > 📋 **Required privilege:** Read Computers - [Create Computer Inventory record](https://developer.jamf.com/jamf-pro/reference/post_v1-computers-inventory.md): Creates Computer Inventory record > 📋 **Required privilege:** Create Computers - [Return all sections of a computer](https://developer.jamf.com/jamf-pro/reference/get_v1-computers-inventory-detail-id.md): Return all sections of a computer > 📋 **Required privilege:** Read Computers - [Update specific fields on a computer](https://developer.jamf.com/jamf-pro/reference/patch_v1-computers-inventory-detail-id.md): Update specific fields on a computer, then return the updated computer object. > 📋 **Required privilege:** Update Computers - [Return paginated FileVault information for all computers](https://developer.jamf.com/jamf-pro/reference/get_v1-computers-inventory-filevault.md): Return paginated FileVault information for all computers > 📋 **Required privilege:** View Disk Encryption Recovery Key - [Return General section of a Computer](https://developer.jamf.com/jamf-pro/reference/get_v1-computers-inventory-id.md): Return General section of a Computer > 📋 **Required privilege:** Read Computers - [Remove specified Computer record](https://developer.jamf.com/jamf-pro/reference/delete_v1-computers-inventory-id.md): Remove specified Computer record > 📋 **Required privilege:** Delete Computers - [Upload attachment and assign to computer](https://developer.jamf.com/jamf-pro/reference/post_v1-computers-inventory-id-attachments.md): Upload attachment and assign to computer > 📋 **Required privilege:** Update Computers - [Download attachment file](https://developer.jamf.com/jamf-pro/reference/get_v1-computers-inventory-id-attachments-attachmentid.md): Download attachment file > 📋 **Required privilege:** Read Computers - [Remove attachment](https://developer.jamf.com/jamf-pro/reference/delete_v1-computers-inventory-id-attachments-attachmentid.md): Remove attachment > 📋 **Required privilege:** Update Computers - [Return FileVault information for a specific computer](https://developer.jamf.com/jamf-pro/reference/get_v1-computers-inventory-id-filevault.md): Return FileVault information for a specific computer > 📋 **Required privilege:** View Disk Encryption Recovery Key - [Return a computer's Device Lock PIN](https://developer.jamf.com/jamf-pro/reference/get_v1-computers-inventory-id-view-device-lock-pin.md): Return a computer's Device Lock PIN > 📋 **Required privilege:** View Computer Device Lock Pin - [Return a Computers Recovery Lock Password](https://developer.jamf.com/jamf-pro/reference/get_v1-computers-inventory-id-view-recovery-lock-password.md): Return a Computers Recovery Lock Password > 📋 **Required privilege:** View Recovery Lock - [Return paginated Computer Inventory records](https://developer.jamf.com/jamf-pro/reference/get_v2-computers-inventory.md): Return paginated Computer Inventory records > 📋 **Required privilege:** Read Computers - [Create Computer Inventory record](https://developer.jamf.com/jamf-pro/reference/post_v2-computers-inventory.md): Creates Computer Inventory record > 📋 **Required privilege:** Create Computers - [Return all sections of a computer](https://developer.jamf.com/jamf-pro/reference/get_v2-computers-inventory-detail-id.md): Return all sections of a computer > 📋 **Required privilege:** Read Computers - [Update specific fields on a computer](https://developer.jamf.com/jamf-pro/reference/patch_v2-computers-inventory-detail-id.md): Update specific fields on a computer, then return the updated computer object. > 📋 **Required privilege:** Update Computers - [Return paginated FileVault information for all computers](https://developer.jamf.com/jamf-pro/reference/get_v2-computers-inventory-filevault.md): Return paginated FileVault information for all computers > 📋 **Required privilege:** View Disk Encryption Recovery Key - [Return General section of a Computer](https://developer.jamf.com/jamf-pro/reference/get_v2-computers-inventory-id.md): Return General section of a Computer > 📋 **Required privilege:** Read Computers - [Remove specified Computer record](https://developer.jamf.com/jamf-pro/reference/delete_v2-computers-inventory-id.md): Remove specified Computer record > 📋 **Required privilege:** Delete Computers - [Upload attachment and assign to computer](https://developer.jamf.com/jamf-pro/reference/post_v2-computers-inventory-id-attachments.md): Upload attachment and assign to computer > 📋 **Required privilege:** Update Computers - [Download attachment file](https://developer.jamf.com/jamf-pro/reference/get_v2-computers-inventory-id-attachments-attachmentid.md): Download attachment file > 📋 **Required privilege:** Read Computers - [Remove attachment](https://developer.jamf.com/jamf-pro/reference/delete_v2-computers-inventory-id-attachments-attachmentid.md): Remove attachment > 📋 **Required privilege:** Update Computers - [Return FileVault information for a specific computer](https://developer.jamf.com/jamf-pro/reference/get_v2-computers-inventory-id-filevault.md): Return FileVault information for a specific computer > 📋 **Required privilege:** View Disk Encryption Recovery Key - [Return a computer's Device Lock PIN](https://developer.jamf.com/jamf-pro/reference/get_v2-computers-inventory-id-view-device-lock-pin.md): Return a computer's Device Lock PIN > 📋 **Required privilege:** View Computer Device Lock Pin - [Return a Computers Recovery Lock Password](https://developer.jamf.com/jamf-pro/reference/get_v2-computers-inventory-id-view-recovery-lock-password.md): Return a Computers Recovery Lock Password > 📋 **Required privilege:** View Recovery Lock - [Return paginated Computer Inventory records](https://developer.jamf.com/jamf-pro/reference/get_v4-computers-inventory.md): Return paginated Computer Inventory records > 📋 **Required privilege:** Read Computers - [Create Computer Inventory record](https://developer.jamf.com/jamf-pro/reference/post_v4-computers-inventory.md): Creates Computer Inventory record > 📋 **Required privilege:** Create Computers - [Return all sections of a computer](https://developer.jamf.com/jamf-pro/reference/get_v4-computers-inventory-detail-id.md): Return all sections of a computer > 📋 **Required privilege:** Read Computers - [Update specific fields on a computer](https://developer.jamf.com/jamf-pro/reference/patch_v4-computers-inventory-detail-id.md): Update specific fields on a computer, then return the updated computer object. > 📋 **Required privilege:** Update Computers - [Return paginated FileVault information for all computers](https://developer.jamf.com/jamf-pro/reference/get_v4-computers-inventory-filevault.md): Return paginated FileVault information for all computers > 📋 **Required privilege:** View Disk Encryption Recovery Key - [Return General section of a Computer](https://developer.jamf.com/jamf-pro/reference/get_v4-computers-inventory-id.md): Return General section of a Computer > 📋 **Required privilege:** Read Computers - [Remove specified Computer record](https://developer.jamf.com/jamf-pro/reference/delete_v4-computers-inventory-id.md): Remove specified Computer record > 📋 **Required privilege:** Delete Computers - [Upload attachment and assign to computer](https://developer.jamf.com/jamf-pro/reference/post_v4-computers-inventory-id-attachments.md): Upload attachment and assign to computer > 📋 **Required privilege:** Update Computers - [Download attachment file](https://developer.jamf.com/jamf-pro/reference/get_v4-computers-inventory-id-attachments-attachmentid.md): Download attachment file > 📋 **Required privilege:** Read Computers - [Remove attachment](https://developer.jamf.com/jamf-pro/reference/delete_v4-computers-inventory-id-attachments-attachmentid.md): Remove attachment > 📋 **Required privilege:** Update Computers - [Erase a computer](https://developer.jamf.com/jamf-pro/reference/post_v4-computers-inventory-id-erase.md): Erase a computer > 📋 **Required privilege:** Send Computer Remote Wipe Command - [Return FileVault information for a specific computer](https://developer.jamf.com/jamf-pro/reference/get_v4-computers-inventory-id-filevault.md): Return FileVault information for a specific computer > 📋 **Required privilege:** View Disk Encryption Recovery Key - [Remove a computer's MDM profile](https://developer.jamf.com/jamf-pro/reference/post_v4-computers-inventory-id-remove-mdm-profile.md): Remove a computer's MDM profile > 📋 **Required privilege:** Send Computer Unmanage Command - [Return a computer's Device Lock PIN](https://developer.jamf.com/jamf-pro/reference/get_v4-computers-inventory-id-view-device-lock-pin.md): Return a computer's Device Lock PIN > 📋 **Required privilege:** View Computer Device Lock Pin - [Return a Computers Recovery Lock Password](https://developer.jamf.com/jamf-pro/reference/get_v4-computers-inventory-id-view-recovery-lock-password.md): Return a Computers Recovery Lock Password > 📋 **Required privilege:** View Recovery Lock - [Returns computer inventory settings](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-inventory-collection-settings.md): Returns computer inventory settings > 📋 **Required privilege:** Read Computer Inventory Collection Settings - [Update computer inventory settings](https://developer.jamf.com/jamf-pro/reference/patch_v1-computer-inventory-collection-settings.md): Update computer inventory settings > 📋 **Required privilege:** Update Computer Inventory Collection Settings - [Create Computer Inventory Collection Settings Custom Path](https://developer.jamf.com/jamf-pro/reference/post_v1-computer-inventory-collection-settings-custom-path.md): Creates a custom search path to use when collecting applications, fonts, and plug-ins. > 📋 **Required privilege:** Create Custom Paths - [Delete Custom Path from Computer Inventory Collection Settings](https://developer.jamf.com/jamf-pro/reference/delete_v1-computer-inventory-collection-settings-custom-path-id.md): Delete Custom Path from Computer Inventory Collection Settings > 📋 **Required privilege:** Delete Custom Paths - [Returns computer inventory settings](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-inventory-collection-settings.md): Returns computer inventory settings > 📋 **Required privilege:** Read Computer Inventory Collection Settings - [Update computer inventory settings](https://developer.jamf.com/jamf-pro/reference/patch_v2-computer-inventory-collection-settings.md): Update computer inventory settings > 📋 **Required privilege:** Update Computer Inventory Collection Settings - [Create Computer Inventory Collection Settings Custom Path](https://developer.jamf.com/jamf-pro/reference/post_v2-computer-inventory-collection-settings-custom-path.md): Creates a custom search path to use when collecting applications. > 📋 **Required privilege:** Create Custom Paths - [Delete Custom Path from Computer Inventory Collection Settings](https://developer.jamf.com/jamf-pro/reference/delete_v2-computer-inventory-collection-settings-custom-path-id.md): Delete Custom Path from Computer Inventory Collection Settings > 📋 **Required privilege:** Delete Custom Paths - [Get all device Scope for all Computer Prestages ](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-prestages-scope.md): Get all device scope for all computer prestages > 📋 **Required privilege:** Read Computer PreStage Enrollments - [Get device Scope for a specific Computer Prestage ](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-prestages-id-scope.md): Get device scope for a specific computer prestage > 📋 **Required privilege:** Read Computer PreStage Enrollments - [Replace device Scope for a specific Computer Prestage ](https://developer.jamf.com/jamf-pro/reference/put_v2-computer-prestages-id-scope.md): Replace device scope for a specific computer prestage > 📋 **Required privilege:** Update Computer PreStage Enrollments - [Add device Scope for a specific Computer Prestage ](https://developer.jamf.com/jamf-pro/reference/post_v2-computer-prestages-id-scope.md): Add device scope for a specific computer prestage > 📋 **Required privilege:** Update Computer PreStage Enrollments - [Remove device Scope for a specific Computer Prestage ](https://developer.jamf.com/jamf-pro/reference/post_v2-computer-prestages-id-scope-delete-multiple.md): Remove device scope for a specific computer prestage > 📋 **Required privilege:** Update Computer PreStage Enrollments - [Get sorted and paged Computer Prestages ](https://developer.jamf.com/jamf-pro/reference/get_v3-computer-prestages.md): Gets sorted and paged computer prestages > 📋 **Required privilege:** Read Computer PreStage Enrollments - [Create a Computer Prestage ](https://developer.jamf.com/jamf-pro/reference/post_v3-computer-prestages.md): Create a computer prestage > 📋 **Required privilege:** Create Computer PreStage Enrollments - [Retrieve a Computer Prestage with the supplied id ](https://developer.jamf.com/jamf-pro/reference/get_v3-computer-prestages-id.md): Retrieves a Computer Prestage with the supplied id > 📋 **Required privilege:** Read Computer PreStage Enrollments - [Update a Computer Prestage ](https://developer.jamf.com/jamf-pro/reference/put_v3-computer-prestages-id.md): Updates a Computer Prestage > 📋 **Required privilege:** Update Computer PreStage Enrollments - [Delete a Computer Prestage with the supplied id ](https://developer.jamf.com/jamf-pro/reference/delete_v3-computer-prestages-id.md): Deletes a Computer Prestage with the supplied id > 📋 **Required privilege:** Delete Computer PreStage Enrollments - [Return a list of Computers ](https://developer.jamf.com/jamf-pro/reference/get_preview-computers.md): Returns a list of computers. > 📋 **Required privilege:** Read Computers - [Get compliance information for a single computer device](https://developer.jamf.com/jamf-pro/reference/get_v1-conditional-access-device-compliance-information-computer-deviceid.md): Return basic compliance information for the given computer device > 📋 **Required privilege:** Read Device Compliance Information - [Get compliance information for a single mobile device](https://developer.jamf.com/jamf-pro/reference/get_v1-conditional-access-device-compliance-information-mobile-deviceid.md): Return basic compliance information for the given mobile device > 📋 **Required privilege:** Read Device Compliance Information - [Retrieves Status of the Feature Toggle](https://developer.jamf.com/jamf-pro/reference/get_v1-conditional-access-device-compliance-feature-toggle.md): Retrieves Status of the Feature Toggle > 📋 **Required privilege:** Read Conditional Access - [Returns the CSA tenant ID.](https://developer.jamf.com/jamf-pro/reference/get_v1-csa-tenant-id.md): Returns the CSA tenant ID. - [Get details regarding the CSA token exchange ](https://developer.jamf.com/jamf-pro/reference/get_v1-csa-token.md): Get details regarding the CSA token exchange > 📋 **Required privilege:** Read Cloud Services Settings - [Delete the CSA token exchange - This will disable Jamf Pro's ability to authenticate with cloud-hosted services ](https://developer.jamf.com/jamf-pro/reference/delete_v1-csa-token.md): Delete the CSA token exchange - This will disable Jamf Pro's ability to authenticate with cloud-hosted services > 📋 **Required privilege:** Update Cloud Services Settings - [Get all the dashboard setup information ](https://developer.jamf.com/jamf-pro/reference/get_v1-dashboard.md): Get all the dashboard information for widgets and setup tasks - [Add or remove an object to the Jamf Pro dashboard ](https://developer.jamf.com/jamf-pro/reference/post_v1-dashboard-toggle.md): Add or remove dashboard detail by the type of object, and the object's ID. Duplicates will not be added again. - [Retrieve the Status Items from the latest Status Report for a device](https://developer.jamf.com/jamf-pro/reference/get_v1-ddm-clientmanagementid-status-items.md): Retrieves the Status Items from the latest Status Report for a device > 📋 **Required privileges:** > - Read Mobile Devices > - Read Computers - [Retrieve a Status Item from the latest Status Report for a device](https://developer.jamf.com/jamf-pro/reference/get_v1-ddm-clientmanagementid-status-items-key.md): Retrieves a Status Item from the latest Status Report for a device > 📋 **Required privileges:** > - Read Mobile Devices > - Read Computers - [Force a device DDM sync](https://developer.jamf.com/jamf-pro/reference/post_v1-ddm-clientmanagementid-sync.md): Force a device to sync by queuing a new DeclarativeManagementCommand > 📋 **Required privilege:** Send Declarative Management Command - [Retrieve an existing declaration](https://developer.jamf.com/jamf-pro/reference/get_v1-dss-declarations-declarationid.md): Retrieves a stored declaration based on the provided declaration id > 📋 **Required privileges:** > - Read Mobile Devices > - Read Computers - [Search for Departments ](https://developer.jamf.com/jamf-pro/reference/get_v1-departments.md): Search for Departments > 📋 **Required privilege:** Read Departments - [Create department record ](https://developer.jamf.com/jamf-pro/reference/post_v1-departments.md): Create department record > 📋 **Required privilege:** Create Departments - [Deletes all departments by ids passed in body ](https://developer.jamf.com/jamf-pro/reference/post_v1-departments-delete-multiple.md): Deletes all departments by ids passed in body > 📋 **Required privilege:** Delete Departments - [Get specified Department object ](https://developer.jamf.com/jamf-pro/reference/get_v1-departments-id.md): Gets specified Department object > 📋 **Required privilege:** Read Departments - [Update specified department object ](https://developer.jamf.com/jamf-pro/reference/put_v1-departments-id.md): Update specified department object > 📋 **Required privilege:** Update Departments - [Remove specified department record ](https://developer.jamf.com/jamf-pro/reference/delete_v1-departments-id.md): Removes specified department record > 📋 **Required privilege:** Delete Departments - [Get specified Department history object ](https://developer.jamf.com/jamf-pro/reference/get_v1-departments-id-history.md): Gets specified Department history object > 📋 **Required privilege:** Read Departments - [Add specified Department history object notes ](https://developer.jamf.com/jamf-pro/reference/post_v1-departments-id-history.md): Adds specified Department history object notes > 📋 **Required privilege:** Update Departments - [Retrieves all settings for device communication ](https://developer.jamf.com/jamf-pro/reference/get_v1-device-communication-settings.md): Retrieves all device communication settings, including automatic renewal of the MDM profile. > 📋 **Required privilege:** Read Automatically Renew MDM Profile Settings - [Update device communication settings ](https://developer.jamf.com/jamf-pro/reference/put_v1-device-communication-settings.md): Update device communication settings > 📋 **Required privilege:** Update Automatically Renew MDM Profile Settings - [Get Device Communication settings history ](https://developer.jamf.com/jamf-pro/reference/get_v1-device-communication-settings-history.md): Gets Device Communication settings history > 📋 **Required privilege:** Read Automatically Renew MDM Profile Settings - [Add Device Communication Settings history notes ](https://developer.jamf.com/jamf-pro/reference/post_v1-device-communication-settings-history.md): Adds Device Communication Settings history notes > 📋 **Required privilege:** Update Automatically Renew MDM Profile Settings - [Read all sorted and paged Device Enrollment instances ](https://developer.jamf.com/jamf-pro/reference/get_v1-device-enrollments.md): Search for sorted and paged device enrollment instances > 📋 **Required privilege:** Read Device Enrollment Program Instances - [Retrieve the Jamf Pro Device Enrollment public key ](https://developer.jamf.com/jamf-pro/reference/get_v1-device-enrollments-public-key.md): Retrieve the Jamf Pro device enrollment public key > 📋 **Required privilege:** Read Device Enrollment Program Instances - [Get all instance sync states for all Device Enrollment Instances ](https://developer.jamf.com/jamf-pro/reference/get_v1-device-enrollments-syncs.md): Get all instance sync states for all instances > 📋 **Required privilege:** Read Device Enrollment Program Instances - [Create a Device Enrollment Instance with the supplied Token ](https://developer.jamf.com/jamf-pro/reference/post_v1-device-enrollments-upload-token.md): Creates a device enrollment instance with the supplied token. > 📋 **Required privilege:** Create Device Enrollment Program Instances - [Retrieve a Device Enrollment Instance with the supplied id ](https://developer.jamf.com/jamf-pro/reference/get_v1-device-enrollments-id.md): Retrieves a Device Enrollment Instance with the supplied id > 📋 **Required privilege:** Read Device Enrollment Program Instances - [Update a Device Enrollment Instance with the supplied id ](https://developer.jamf.com/jamf-pro/reference/put_v1-device-enrollments-id.md): Updates a Device Enrollment Instance with the supplied id > 📋 **Required privilege:** Update Device Enrollment Program Instances - [Delete a Device Enrollment Instance with the supplied id ](https://developer.jamf.com/jamf-pro/reference/delete_v1-device-enrollments-id.md): Deletes a Device Enrollment Instance with the supplied id > 📋 **Required privilege:** Delete Device Enrollment Program Instances - [Disown devices from the given Device Enrollment Instance ](https://developer.jamf.com/jamf-pro/reference/post_v1-device-enrollments-id-disown.md): Disowns devices from the given device enrollment instance > 📋 **Required privilege:** Update Device Enrollment Program Instances - [Get sorted and paged Device Enrollment history objects ](https://developer.jamf.com/jamf-pro/reference/get_v1-device-enrollments-id-history.md): Gets sorted and paged device enrollment history objects > 📋 **Required privilege:** Read Device Enrollment Program Instances - [Add Device Enrollment history object notes ](https://developer.jamf.com/jamf-pro/reference/post_v1-device-enrollments-id-history.md): Adds device enrollment history object notes > 📋 **Required privilege:** Update Device Enrollment Program Instances - [Get all instance sync states for a single Device Enrollment Instance ](https://developer.jamf.com/jamf-pro/reference/get_v1-device-enrollments-id-syncs.md): Get all instance sync states for a single instance > 📋 **Required privilege:** Read Device Enrollment Program Instances - [Get the latest sync state for a single Device Enrollment Instance ](https://developer.jamf.com/jamf-pro/reference/get_v1-device-enrollments-id-syncs-latest.md): Get the latest sync state for a single instance > 📋 **Required privilege:** Read Device Enrollment Program Instances - [Update a Device Enrollment Instance with the supplied Token ](https://developer.jamf.com/jamf-pro/reference/put_v1-device-enrollments-id-upload-token.md): Updates a device enrollment instance with the supplied token. > 📋 **Required privilege:** Update Device Enrollment Program Instances - [Retrieve a list of Devices assigned to the supplied id ](https://developer.jamf.com/jamf-pro/reference/get_v1-device-enrollments-id-devices.md): Retrieves a list of devices assigned to the supplied id > 📋 **Required privilege:** Read Device Enrollment Program Instances - [Return a list of groups for a device ](https://developer.jamf.com/jamf-pro/reference/get_v1-devices-id-groups.md): Returns a list of groups that the specified device belongs to. > 📋 **Required privileges:** > - Read Computers > - Read Mobile Devices - [Create DigiCert Trust Lifecycle Manager configuration with client authentication via client certificate. ](https://developer.jamf.com/jamf-pro/reference/post_v1-pki-digicert-trust-lifecycle-manager.md): Create DigiCert Trust Lifecycle Manager configuration and initialize renewal monitor. > 📋 **Required privilege:** Create DigiCert Settings - [Validate DigiCert Trust Lifecycle Manager client certificate ](https://developer.jamf.com/jamf-pro/reference/post_v1-pki-digicert-trust-lifecycle-manager-validate-client-certificate.md): Validate DigiCert Trust Lifecycle Manager client certificate for file format and correct password. Must be base64-encoded PKCS#12 file content, obtainable by `openssl base64 < /file/path/filename.p12 | tr -d '\n' | pbcopy` in linux terminal, or similar parsing methods. > 📋 **Required privileges:** > - Create DigiCert Settings > - Update DigiCert Settings - [Retrieve DigiCert Trust Lifecycle Manager configuration](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-digicert-trust-lifecycle-manager-id.md): Retrieve the current configuration of the DigiCert Trust Lifecycle Manager. > 📋 **Required privilege:** Read DigiCert Settings - [Delete DigiCert Trust Lifecycle Manager configuration](https://developer.jamf.com/jamf-pro/reference/delete_v1-pki-digicert-trust-lifecycle-manager-id.md): Delete the current configuration of the DigiCert Trust Lifecycle Manager. > 📋 **Required privilege:** Delete DigiCert Settings - [Update DigiCert Trust Lifecycle Manager configuration ](https://developer.jamf.com/jamf-pro/reference/patch_v1-pki-digicert-trust-lifecycle-manager-id.md): Update DigiCert Trust Lifecycle Manager configuration, where the client certificate information must be provided in full or not at all. > 📋 **Required privilege:** Update DigiCert Settings - [Get connection status of DigiCert Trust Lifecycle Manager for a given ID](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-digicert-trust-lifecycle-manager-id-connection-status.md): Get connection status of DigiCert Trust Lifecycle Manager for a given ID. > 📋 **Required privilege:** Read DigiCert Settings - [Retrieve list of DigiCert Trust Lifecycle Manager Settings dependencies](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-digicert-trust-lifecycle-manager-id-dependencies.md): Retrieve list of DigiCert Trust Lifecycle Manager Settings dependencies. > 📋 **Required privilege:** Read DigiCert Settings - [Check DigiCert account permissions for certificate deployment](https://developer.jamf.com/jamf-pro/reference/get_v1-pki-digicert-trust-lifecycle-manager-id-privilege-check.md): Checks that the DigiCert account associated with the given ID holds all permissions required to deploy certificates via the Trust Lifecycle Manager. Returns 204 if all required permissions are present. Returns 403 with a list of missing permission names if any are absent. > 📋 **Required privilege:** Read DigiCert Settings - [Finds all Distribution Points](https://developer.jamf.com/jamf-pro/reference/get_v1-distribution-points.md): Finds all Distribution Points > 📋 **Required privilege:** Read Distribution Points - [Create distribution point](https://developer.jamf.com/jamf-pro/reference/post_v1-distribution-points.md): Create distribution point > 📋 **Required privilege:** Create Distribution Points - [Delete multiple distribution points at once](https://developer.jamf.com/jamf-pro/reference/post_v1-distribution-points-delete-multiple.md): Delete multiple distribution points at once > 📋 **Required privilege:** Delete Distribution Points - [Get specified distribution point ](https://developer.jamf.com/jamf-pro/reference/get_v1-distribution-points-id.md): Get specified distribution point > 📋 **Required privilege:** Read Distribution Points - [Update specified distribution point object ](https://developer.jamf.com/jamf-pro/reference/put_v1-distribution-points-id.md): Update specified distribution point object > 📋 **Required privileges:** > - Read Distribution Points > - Update Distribution Points - [Remove specified distribution point ](https://developer.jamf.com/jamf-pro/reference/delete_v1-distribution-points-id.md): Removes specified distribution point > 📋 **Required privilege:** Delete Distribution Points - [Update specified distribution point object ](https://developer.jamf.com/jamf-pro/reference/patch_v1-distribution-points-id.md): Updates the specified object configuration of a File Share Distribution Point in Jamf Pro. ID path parameter is mandatory and other fields can be updated as a whole or with minimal object. > 📋 **Required privileges:** > - Read Distribution Points > - Update Distribution Points - [Get specified distribution point History object ](https://developer.jamf.com/jamf-pro/reference/get_v1-distribution-points-id-history.md): Gets specified distribution point history object > 📋 **Required privilege:** Read Distribution Points - [Add specified distribution point History object notes ](https://developer.jamf.com/jamf-pro/reference/post_v1-distribution-points-id-history.md): Adds specified distribution point History object notes > 📋 **Required privilege:** Update Distribution Points - [Create a DockItem ](https://developer.jamf.com/jamf-pro/reference/post_v1-dock-items.md): Creates a DockItem > 📋 **Required privilege:** Create Dock Items - [Retrieve a full dockItem object ](https://developer.jamf.com/jamf-pro/reference/get_v1-dock-items-id.md): Retrieves a full dockItem object > 📋 **Required privilege:** Read Dock Items - [Replace the dockItem at the id with the supplied information ](https://developer.jamf.com/jamf-pro/reference/put_v1-dock-items-id.md): Replaces the dockItem at the id with the supplied information > 📋 **Required privilege:** Update Dock Items - [Delete a DockItem at the specified id ](https://developer.jamf.com/jamf-pro/reference/delete_v1-dock-items-id.md): Deletes a dockItem at the specified id > 📋 **Required privilege:** Delete Dock Items - [Get Ebook object ](https://developer.jamf.com/jamf-pro/reference/get_v1-ebooks.md): Gets ebook object > 📋 **Required privilege:** Read eBooks - [Get specified Ebook object ](https://developer.jamf.com/jamf-pro/reference/get_v1-ebooks-id.md): Gets specified Ebook object > 📋 **Required privilege:** Read eBooks - [Get specified scope of Ebook object ](https://developer.jamf.com/jamf-pro/reference/get_v1-ebooks-id-scope.md): Gets specified scope of Ebook object > 📋 **Required privilege:** Read eBooks - [Retrieve the Account Driven User Enrollment Session Token Settings ](https://developer.jamf.com/jamf-pro/reference/get_v1-adue-session-token-settings.md): Retrieve the Account Driven User Enrollment Session Token Settings > 📋 **Required privilege:** Read User-Initiated Enrollment - [Update Account Driven User Enrollment Session Token Settings. ](https://developer.jamf.com/jamf-pro/reference/put_v1-adue-session-token-settings.md): Update the Account Driven User Enrollment Session Token Settings object. > 📋 **Required privilege:** Update User-Initiated Enrollment - [Get sorted and paged Enrollment history object ](https://developer.jamf.com/jamf-pro/reference/get_v2-enrollment-history.md): Gets sorted and paged Enrollment history object > 📋 **Required privilege:** Read User-Initiated Enrollment - [Add Enrollment history object notes ](https://developer.jamf.com/jamf-pro/reference/post_v2-enrollment-history.md): Adds Enrollment history object notes > 📋 **Required privilege:** Update User-Initiated Enrollment - [Export enrollment history collection ](https://developer.jamf.com/jamf-pro/reference/post_v2-enrollment-history-export.md): Export enrollment history collection > 📋 **Required privilege:** Read User-Initiated Enrollment - [Retrieve the configured LDAP groups configured for User-Initiated Enrollment. ](https://developer.jamf.com/jamf-pro/reference/get_v3-enrollment-access-groups.md): Retrieves the configured LDAP groups configured for User-Initiated Enrollment. > 📋 **Required privilege:** Read User-Initiated Enrollment - [Add the configured LDAP group for User-Initiated Enrollment. ](https://developer.jamf.com/jamf-pro/reference/post_v3-enrollment-access-groups.md): Add the configured LDAP group for User-Initiated Enrollment. > 📋 **Required privilege:** Update User-Initiated Enrollment - [Retrieve the configured LDAP groups configured for User-Initiated Enrollment ](https://developer.jamf.com/jamf-pro/reference/get_v3-enrollment-access-groups-id.md): Retrieves the configured LDAP groups configured for User-Initiated Enrollment. > 📋 **Required privilege:** Read User-Initiated Enrollment - [Modify the configured LDAP groups configured for User-Initiated Enrollment. Only exiting Access Groups can be updated. ](https://developer.jamf.com/jamf-pro/reference/put_v3-enrollment-access-groups-id.md): Modify the configured LDAP groups configured for User-Initiated Enrollment. Only exiting Access Groups can be updated. > 📋 **Required privilege:** Update User-Initiated Enrollment - [Delete an LDAP group's access to user initiated Enrollment. ](https://developer.jamf.com/jamf-pro/reference/delete_v3-enrollment-access-groups-id.md): Deletes an LDAP group's access to user initiated enrollment. The group "All LDAP Users" cannot be deleted, but it can be modified to disallow User-Initiated Enrollment. > 📋 **Required privilege:** Update User-Initiated Enrollment - [Retrieve the list of languages and corresponding ISO 639-1 Codes but only those not already added to Enrollment ](https://developer.jamf.com/jamf-pro/reference/get_v3-enrollment-filtered-language-codes.md): Retrieves the list of languages and corresponding ISO 639-1 Codes, but only those not already added to Enrollment. > 📋 **Required privilege:** Read User-Initiated Enrollment - [Retrieve the list of languages and corresponding ISO 639-1 Codes ](https://developer.jamf.com/jamf-pro/reference/get_v3-enrollment-language-codes.md): Retrieves the list of languages and corresponding ISO 639-1 Codes. > 📋 **Required privilege:** Read User-Initiated Enrollment - [Get an array of the language codes that have Enrollment messaging ](https://developer.jamf.com/jamf-pro/reference/get_v3-enrollment-languages.md): Returns an array of the language codes that have enrollment messaging currently configured. > 📋 **Required privilege:** Read User-Initiated Enrollment - [Delete multiple configured languages from User-Initiated Enrollment settings ](https://developer.jamf.com/jamf-pro/reference/post_v3-enrollment-languages-delete-multiple.md): Delete multiple configured languages from User-Initiated Enrollment settings > 📋 **Required privilege:** Update User-Initiated Enrollment - [Retrieve the Enrollment messaging for a language ](https://developer.jamf.com/jamf-pro/reference/get_v3-enrollment-languages-languageid.md): Retrieves the enrollment messaging for a language. > 📋 **Required privilege:** Read User-Initiated Enrollment - [Edit Enrollment messaging for a language ](https://developer.jamf.com/jamf-pro/reference/put_v3-enrollment-languages-languageid.md): Edit enrollment messaging for a language. > 📋 **Required privilege:** Update User-Initiated Enrollment - [Delete the Enrollment messaging for a language ](https://developer.jamf.com/jamf-pro/reference/delete_v3-enrollment-languages-languageid.md): Delete the enrollment messaging for a language. > 📋 **Required privilege:** Update User-Initiated Enrollment - [Get Enrollment object and Re-enrollment settings ](https://developer.jamf.com/jamf-pro/reference/get_v4-enrollment.md): Gets Enrollment object and re-enrollment settings. > 📋 **Required privilege:** Read User-Initiated Enrollment - [Update Enrollment object ](https://developer.jamf.com/jamf-pro/reference/put_v4-enrollment.md): Update enrollment object. Regarding the `developerCertificateIdentity`, if this object is omitted, the certificate will not be deleted from Jamf Pro. The `identityKeystore` is the entire cert file as a base64 encoded string. The `md5Sum` field is not required in the PUT request, but is calculated and returned in the response. > 📋 **Required privilege:** Update User-Initiated Enrollment - [Get Access Management settings](https://developer.jamf.com/jamf-pro/reference/get_v4-enrollment-access-management.md): Get Access Management settings > 📋 **Required privilege:** Access Management Setting Read - [Configure Access Management settings ](https://developer.jamf.com/jamf-pro/reference/post_v4-enrollment-access-management.md): Configure Access Management settings > 📋 **Required privilege:** Access Management Setting Update - [Retrieve sorted and paged Enrollment Customizations ](https://developer.jamf.com/jamf-pro/reference/get_v2-enrollment-customizations.md): Retrieves sorted and paged Enrollment Customizations > 📋 **Required privilege:** Read Enrollment Customizations - [Create an Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/post_v2-enrollment-customizations.md): Create an enrollment customization > 📋 **Required privilege:** Create Enrollment Customizations - [Upload an image](https://developer.jamf.com/jamf-pro/reference/post_v2-enrollment-customizations-images.md): Uploads an image > 📋 **Required privilege:** Update Enrollment Customizations - [Download an enrollment customization image ](https://developer.jamf.com/jamf-pro/reference/get_v2-enrollment-customizations-images-id.md): Download an enrollment customization image - [Retrieve an Enrollment Customization with the supplied id ](https://developer.jamf.com/jamf-pro/reference/get_v2-enrollment-customizations-id.md): Retrieves an Enrollment Customization with the supplied id > 📋 **Required privilege:** Read Enrollment Customizations - [Update an Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/put_v2-enrollment-customizations-id.md): Updates an Enrollment Customization > 📋 **Required privilege:** Update Enrollment Customizations - [Delete an Enrollment Customization with the supplied id ](https://developer.jamf.com/jamf-pro/reference/delete_v2-enrollment-customizations-id.md): Deletes an Enrollment Customization with the supplied id > 📋 **Required privileges:** > - Delete Enrollment Customizations > - Read Enrollment Customizations - [Get sorted and paged Enrollment Customization history objects ](https://developer.jamf.com/jamf-pro/reference/get_v2-enrollment-customizations-id-history.md): Gets sorted and paged enrollment customization history objects > 📋 **Required privilege:** Read Enrollment Customizations - [Add Enrollment Customization history object notes ](https://developer.jamf.com/jamf-pro/reference/post_v2-enrollment-customizations-id-history.md): Adds enrollment customization history object notes > 📋 **Required privilege:** Update Enrollment Customizations - [Retrieve the list of Prestages using this Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/get_v2-enrollment-customizations-id-prestages.md): Retrieves the list of Prestages using this Enrollment Customization > 📋 **Required privilege:** Read Enrollment Customizations - [Parse the given string as markdown text and return Html output ](https://developer.jamf.com/jamf-pro/reference/post_v1-enrollment-customization-parse-markdown.md): Parse the given string as markdown text and return Html output > 📋 **Required privilege:** Read Enrollment Customizations - [Get all Panels for single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/get_v1-enrollment-customization-id-all.md): Get all panels for single enrollment customization > 📋 **Required privilege:** Read Enrollment Customizations - [Get a single Panel for a single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/get_v1-enrollment-customization-id-all-panel-id.md): Get a single panel for a single enrollment customization > 📋 **Required privilege:** Read Enrollment Customizations - [Delete a single Panel from an Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/delete_v1-enrollment-customization-id-all-panel-id.md): Delete a single panel from an Enrollment Customization > 📋 **Required privilege:** Update Enrollment Customizations - [Create an LDAP Panel for a single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/post_v1-enrollment-customization-id-ldap.md): Create an LDAP panel for a single enrollment customization. If multiple LDAP access groups are defined with the same name and id, only one will be saved. > 📋 **Required privilege:** Update Enrollment Customizations - [Get a single LDAP panel for a single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/get_v1-enrollment-customization-id-ldap-panel-id.md): Get a single LDAP panel for a single enrollment customization > 📋 **Required privilege:** Read Enrollment Customizations - [Update a single LDAP Panel for a single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/put_v1-enrollment-customization-id-ldap-panel-id.md): Update a single LDAP panel for a single enrollment customization. If multiple LDAP access groups are defined with the same name and id, only one will be saved. > 📋 **Required privilege:** Update Enrollment Customizations - [Delete an LDAP single panel from an Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/delete_v1-enrollment-customization-id-ldap-panel-id.md): Delete an LDAP single Panel from an Enrollment Customization > 📋 **Required privilege:** Update Enrollment Customizations - [Create an SSO Panel for a single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/post_v1-enrollment-customization-id-sso.md): Create an SSO panel for a single enrollment customization > 📋 **Required privilege:** Update Enrollment Customizations - [Get a single SSO Panel for a single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/get_v1-enrollment-customization-id-sso-panel-id.md): Get a single SSO panel for a single enrollment customization > 📋 **Required privilege:** Read Enrollment Customizations - [Update a single SSO Panel for a single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/put_v1-enrollment-customization-id-sso-panel-id.md): Update a single SSO panel for a single enrollment customization > 📋 **Required privilege:** Update Enrollment Customizations - [Delete a single SSO Panel from an Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/delete_v1-enrollment-customization-id-sso-panel-id.md): Delete a single SSO panel from an Enrollment Customization > 📋 **Required privilege:** Update Enrollment Customizations - [Create a Text Panel for a single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/post_v1-enrollment-customization-id-text.md): Create a Text panel for a single enrollment customization > 📋 **Required privilege:** Update Enrollment Customizations - [Get a single Text Panel for a single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/get_v1-enrollment-customization-id-text-panel-id.md): Get a single Text panel for a single enrollment customization > 📋 **Required privilege:** Read Enrollment Customizations - [Update a single Text Panel for a single Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/put_v1-enrollment-customization-id-text-panel-id.md): Update a single Text panel for a single enrollment customization > 📋 **Required privilege:** Update Enrollment Customizations - [Delete a Text single Panel from an Enrollment Customization ](https://developer.jamf.com/jamf-pro/reference/delete_v1-enrollment-customization-id-text-panel-id.md): Delete a Text single panel from an Enrollment Customization > 📋 **Required privilege:** Update Enrollment Customizations - [Get the markdown output of a single Text Panel for a single Enrollment ](https://developer.jamf.com/jamf-pro/reference/get_v1-enrollment-customization-id-text-panel-id-markdown.md): Get the markdown output of a single Text panel for a single enrollment customization > 📋 **Required privilege:** Read Enrollment Customizations - [Get the cloud services environment type ](https://developer.jamf.com/jamf-pro/reference/get_v2-environment-type.md): Returns the cloud services environment type (staging or production) that this Jamf Pro instance is configured to communicate with. - [Returns group information for all Mobile Device and Computer groups](https://developer.jamf.com/jamf-pro/reference/get_v1-groups.md): Returns group information for all Mobile Device and Computer groups. The type of groups returned will be dependent upon the corresponding group type READ privileges. Results can be sorted by name, description, group type, or isSmart. Default sorting is by group name in ascending order. - [Returns group information for the given platform UUID](https://developer.jamf.com/jamf-pro/reference/get_v1-groups-id.md): Returns group information for the given platform UUID. Dependent upon the returned group type the corresponding READ privilege for that group type will be needed. - [Delete a group by platform UUID](https://developer.jamf.com/jamf-pro/reference/delete_v1-groups-id.md): Deletes a group by its platform UUID. Returns a 400 error if the group is being used as a dependency. Requires appropriate DELETE privileges. - [Update a group by platform UUID](https://developer.jamf.com/jamf-pro/reference/patch_v1-groups-id.md): Updates a group by its platform UUID. For both smart and static groups, groupName and groupDescription can be updated. For smart groups, criteria can also be updated. For static groups, assignments can also be updated. Requires appropriate UPDATE privileges. - [Returns group information for all Mobile Device and Computer groups](https://developer.jamf.com/jamf-pro/reference/get_v2-groups.md): Returns group information for all Mobile Device and Computer groups. The type of groups returned will be dependent upon the corresponding group type READ privileges. Results can be sorted by name, description, group type, or isSmart. Default sorting is by group name in ascending order. - [Returns group information for the given platform UUID](https://developer.jamf.com/jamf-pro/reference/get_v2-groups-id.md): Returns group information for the given platform UUID. Dependent upon the returned group type the corresponding READ privilege for that group type will be needed. - [Delete a group by platform UUID](https://developer.jamf.com/jamf-pro/reference/delete_v2-groups-id.md): Deletes a group by its platform UUID. Returns a 422 error if the group is being used as a dependency. Requires appropriate DELETE privileges. - [Update a group by platform UUID](https://developer.jamf.com/jamf-pro/reference/patch_v2-groups-id.md): Updates a group by its platform UUID. For both smart and static groups, groupName and groupDescription can be updated. For smart groups, criteria can also be updated. For static groups, assignments can also be updated. Requires appropriate UPDATE privileges. - [Finds the Jamf Pro GSX Connection information ](https://developer.jamf.com/jamf-pro/reference/get_v1-gsx-connection.md): Finds the Jamf Pro GSX Connection information > 📋 **Required privileges:** > - Read GSX Connection > - Read Push Certificates - [Updates Jamf Pro GSX Connection information ](https://developer.jamf.com/jamf-pro/reference/put_v1-gsx-connection.md): Updates Jamf Pro GSX Connection information > 📋 **Required privileges:** > - Update GSX Connection > - Update Push Certificates - [Updates Jamf Pro GSX Connection information ](https://developer.jamf.com/jamf-pro/reference/patch_v1-gsx-connection.md): Updates Jamf Pro GSX Connection information > 📋 **Required privileges:** > - Update GSX Connection > - Update Push Certificates - [Get specified GSX Connection History object ](https://developer.jamf.com/jamf-pro/reference/get_v1-gsx-connection-history.md): Gets specified GSX Connection history object > 📋 **Required privilege:** Read GSX Connection - [Add specified GSX Connection history object notes ](https://developer.jamf.com/jamf-pro/reference/post_v1-gsx-connection-history.md): Adds specified GSX Connection history object notes > 📋 **Required privilege:** Update GSX Connection - [Test functionality of an GSX Connection](https://developer.jamf.com/jamf-pro/reference/post_v1-gsx-connection-test.md): Test functionality of an GSX Connection > 📋 **Required privilege:** Read GSX Connection - [Get Jamf Pro API status](https://developer.jamf.com/jamf-pro/reference/get_v1-health-check.md): Get Jamf Pro API status. Which response codes might be returned in error states will depend on the specific state encountered. - [Retrieve request acceptance ratios for this Jamf Pro node](https://developer.jamf.com/jamf-pro/reference/get_v1-health-status.md): Returns metrics representing the request acceptance ratio for each concurrency group and time window on this Jamf Pro node. The acceptance ratio is a decimal value between 0 and 1, where 1 means all requests were accepted and 0 means all were denied. Health status metrics are only available in Jamf Cloud. This API will return a 404 if the Jamf Pro node does not support health status metrics. - [Upload an icon ](https://developer.jamf.com/jamf-pro/reference/post_v1-icon.md): Uploads an icon - [Download a self service icon ](https://developer.jamf.com/jamf-pro/reference/get_v1-icon-download-id.md): Download a self service icon - [Get an icon ](https://developer.jamf.com/jamf-pro/reference/get_v1-icon-id.md): Get an icon - [Get Impact Alert Notification Settings](https://developer.jamf.com/jamf-pro/reference/get_v1-impact-alert-notification-settings.md): Get Impact Alert Notification Settings > 📋 **Required privilege:** Read Impact Alert Notification Settings - [Update Impact Alert Notification Settings](https://developer.jamf.com/jamf-pro/reference/put_v1-im
[...]
